package cn.com.countrygarden.bi.main.model.dup;

import java.util.Date;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * <pre>
 * 。场地资源
 * </pre>
 * 
 * @author developer developer@meicloud.com
 * @version 1.00.00
 * 
 *          <pre>
 * 修改记录
 *    修改后版本:     修改人：  修改日期:     修改内容:
 * </pre>
 */

public class SiteResources {
	
	/**
	 * 主键id
	 */
    private Integer id;
	
    /**
     * 资源id
     */
    private  String resourcesId;
    /**
     * 资源名称code
     */
    private  String resourcesNameCode;
	
	
	 /**
     * 区域code
     */
    private  String organCode;
    
    /**
     * 项目id
     */
    private  Integer commId;

	/**
	 * 区域code
	 */
	private List<String> organCodes;

	/**
	 * 项目id
	 */
	private  List<String> commIds;
    
    

    /**
    * 区域名称
    */
   private  String organName;
   
   /**
    * 项目名称
    */
   private  String commName;
	
	
	
	/**
	 * 公共资源类型
	 */
	private String  publicResourcesType;
	
	/**
	 * 资源名称
	 */
	private String name;
	
	private String addDate;
			
	/**
	 * 资源所在地
	 */
	private  String location;
	
	/**
	 * 资源图片
	 */
	private  String image;
	
	/**
	 * 资源数量
	 */
	private  Integer number;
	
	/**
	 *单位 
	 */
	private  String unit;
	
	/**
	 * 规格型号
	 */
	private   String specification;
	
	/**
	 * 使用状态
	 */
	private  String forthputtingStatus;
	
	/**
	 * 合作方
	 */
	private  String  partner;
	
	/**
	 * 价格
	 */
	private Double price;
	
	/**
	 * 出租时限(单位小时)
	 */
	private  Integer  leaseTimeLimit;
	
	/**
	 * 空闲资源说明
	 */
	private  String idleResourcesDirections;
	
	 /**
     * 项目城市级别
     */
    private  String commCityLevel;
    
    /**
     * 面积
     */
    private  Double area;
    
    /**
     * 面积明细
     */
    private  String areaDetail;
	
	/**
	 * 备注
	 */
	private  String remark;
	
	private  String userCode;

	
	
	//分页条件
	private Integer pageIndex=0;
	private Integer pageSize=10; 
	private String AccessToken;
	private String addDates;
	private Integer row;
	
	
	public Integer getRow() {
        return row;
    }

    public void setRow(Integer row) {
        this.row = row;
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getAddDates() {
		return addDates;
	}

	public void setAddDates(String addDates) {
		this.addDates = addDates;
	}

	public String getAccessToken() {
		return AccessToken;
	}

	public void setAccessToken(String accessToken) {
		AccessToken = accessToken;
	}

	public Integer getPageIndex() {
		return pageIndex;
	}

	public void setPageIndex(Integer pageIndex) {
		this.pageIndex = pageIndex;
	}

	public Integer getPageSize() {
		return pageSize;
	}

	public void setPageSize(Integer pageSize) {
		this.pageSize = pageSize;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getPublicResourcesType() {
		return publicResourcesType;
	}

	public void setPublicResourcesType(String publicResourcesType) {
		this.publicResourcesType = publicResourcesType;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getLocation() {
		return location;
	}

	public void setLocation(String location) {
		this.location = location;
	}

	public String getImage() {
		return image;
	}

	public void setImage(String image) {
		this.image = image;
	}

	public String getResourcesNameCode() {
        return resourcesNameCode;
    }

    public void setResourcesNameCode(String resourcesNameCode) {
        this.resourcesNameCode = resourcesNameCode;
    }

    public Integer getNumber() {
		return number;
	}

	public void setNumber(Integer number) {
		this.number = number;
	}

	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}

	public String getAddDate() {
		return addDate;
	}

	public void setAddDate(String addDate) {
		this.addDate = addDate;
	}

	public String getSpecification() {
		return specification;
	}

	public void setSpecification(String specification) {
		this.specification = specification;
	}

	public String getForthputtingStatus() {
		return forthputtingStatus;
	}

	public void setForthputtingStatus(String forthputtingStatus) {
		this.forthputtingStatus = forthputtingStatus;
	}

	public String getPartner() {
		return partner;
	}

	public void setPartner(String partner) {
		this.partner = partner;
	}

	public Double getPrice() {
		return price;
	}

	public void setPrice(Double price) {
		this.price = price;
	}

	public Integer getLeaseTimeLimit() {
		return leaseTimeLimit;
	}

	public void setLeaseTimeLimit(Integer leaseTimeLimit) {
		this.leaseTimeLimit = leaseTimeLimit;
	}

	public String getIdleResourcesDirections() {
		return idleResourcesDirections;
	}

	public void setIdleResourcesDirections(String idleResourcesDirections) {
		this.idleResourcesDirections = idleResourcesDirections;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getResourcesId() {
        return resourcesId;
    }

    public void setResourcesId(String resourcesId) {
        this.resourcesId = resourcesId;
    }

    public String getOrganCode() {
        return organCode;
    }

    public void setOrganCode(String organCode) {
        this.organCode = organCode;
    }

    public Integer getCommId() {
        return commId;
    }

    public void setCommId(Integer commId) {
        this.commId = commId;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getCommName() {
        return commName;
    }

    public void setCommName(String commName) {
        this.commName = commName;
    }

    public String getCommCityLevel() {
        return commCityLevel;
    }

    public void setCommCityLevel(String commCityLevel) {
        this.commCityLevel = commCityLevel;
    }

    public Double getArea() {
        return area;
    }

    public void setArea(Double area) {
        this.area = area;
    }

    public String getAreaDetail() {
        return areaDetail;
    }

    public void setAreaDetail(String areaDetail) {
        this.areaDetail = areaDetail;
    }

	public List<String> getOrganCodes() {
		return organCodes;
	}

	public void setOrganCodes(List<String> organCodes) {
		this.organCodes = organCodes;
	}

	public List<String> getCommIds() {
		return commIds;
	}

	public void setCommIds(List<String> commIds) {
		this.commIds = commIds;
	}
}
